Orxonox: Tcl::details::object_cmd_base Class Reference

# Tcl::details::object_cmd_base Class Reference

`#include <src/cpptcl/cpptcl.h>`

Inheritance diagram for Tcl::details::object_cmd_base:

List of all members.

## Public Member Functions

virtual void | invoke (void *p, Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], policies const &pol)=0
virtual | ~object_cmd_base ()

## Constructor & Destructor Documentation

virtual Tcl::details::object_cmd_base::~object_cmd_base | ( |  | ) | `[inline, virtual]`

References orxonox::KeyCode::C, Tcl::details::class_definer< C >::ch_, and orxonox::KeyCode::R.

## Member Function Documentation

virtual void Tcl::details::object_cmd_base::invoke | ( | void * | p,
|  | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[],
|  | policies const & | pol |
| ) |  |  | `[pure virtual]`

Implemented in Tcl::details::class_handler< C >, Tcl::details::method1< C, R, T1 >, Tcl::details::method2< C, R, T1, T2 >, Tcl::details::method3< C, R, T1, T2, T3 >, Tcl::details::method4< C, R, T1, T2, T3, T4 >, Tcl::details::method5< C, R, T1, T2, T3, T4, T5 >, Tcl::details::method6< C, R, T1, T2, T3, T4, T5, T6 >, Tcl::details::method7< C, R, T1, T2, T3, T4, T5, T6, T7 >, Tcl::details::method8< C, R, T1, T2, T3, T4, T5, T6, T7, T8 >, Tcl::details::method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, T9 >, Tcl::details::method1< C, R, object const & >, Tcl::details::method2< C, R, T1, object const & >, Tcl::details::method3< C, R, T1, T2, object const & >, Tcl::details::method4< C, R, T1, T2, T3, object const & >, Tcl::details::method5< C, R, T1, T2, T3, T4, object const & >, Tcl::details::method6< C, R, T1, T2, T3, T4, T5, object const & >, Tcl::details::method7< C, R, T1, T2, T3, T4, T5, T6, object const & >, Tcl::details::method8< C, R, T1, T2, T3, T4, T5, T6, T7, object const & >, and Tcl::details::method9< C, R, T1, T2, T3, T4, T5, T6, T7, T8, object const & >.

Referenced by object_handler().

The documentation for this class was generated from the following file:

- src/cpptcl/cpptcl.h